## GdictDefbox GdictDefbox — Display the list of definitions for a word |

## Functions

GtkWidget * | gdict_defbox_new ()
GtkWidget * | gdict_defbox_new_with_context ()
void | gdict_defbox_set_context ()
GdictContext * | gdict_defbox_get_context ()
void | gdict_defbox_set_database ()
const gchar * | gdict_defbox_get_database ()
const gchar * | gdict_defbox_get_word ()
gchar * | gdict_defbox_get_text ()
void | gdict_defbox_select_all ()
void | gdict_defbox_copy_to_clipboard ()
void | gdict_defbox_clear ()
void | gdict_defbox_lookup ()
gint | gdict_defbox_count_definitions ()
void | gdict_defbox_jump_to_definition ()
void | gdict_defbox_set_show_find ()
gboolean | gdict_defbox_get_show_find ()
void | gdict_defbox_find_next ()
void | gdict_defbox_find_previous ()
void | gdict_defbox_set_font_name ()
const gchar * | gdict_defbox_get_font_name ()
gchar * | gdict_defbox_get_selected_word ()

## Properties

GdictContext * | context | Read / Write / Construct
gchar * | database | Read / Write
gchar * | font-name | Read / Write
gchar * | word | Read / Write

## Signals

void | find-next | Action
void | find-previous | Action
void | hide-find | Action
void | link-clicked | Run Last
void | show-find | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GdictDefbox

## Description

The GdictDefbox widget is a composite widget showing the list of definitions for a word. It queries the passed GdictContext and displays the list of GdictDefinitions obtained.

It provides syntax highlighting, clickable links and an embedded find bar.

## Functions

### gdict_defbox_new ()

    GtkWidget *
    gdict_defbox_new (void);

Creates a new GdictDefbox widget. Use this widget to search for a word using a GdictContext, and to show the resulting definition(s). You must set a GdictContext for this widget using `gdict_defbox_set_context()`.

#### Returns

a new GdictDefbox widget.

Since: 0.1

### gdict_defbox_new_with_context ()

    GtkWidget *
    gdict_defbox_new_with_context (GdictContext *context);

Creates a new GdictDefbox widget. Use this widget to search for a word using `context` , and to show the resulting definition.

#### Parameters

context | a GdictContext |

#### Returns

a new GdictDefbox widget.

Since: 0.1

### gdict_defbox_set_context ()

    void
    gdict_defbox_set_context (GdictDefbox *defbox,
                              GdictContext *context);

Sets `context` as the GdictContext to be used by `defbox` in order to retrieve the definitions of a word.

#### Parameters

defbox | a GdictDefbox |
context | a GdictContext |

Since: 0.1

### gdict_defbox_get_context ()

    GdictContext *
    gdict_defbox_get_context (GdictDefbox *defbox);

Gets the GdictContext used by `defbox` .

#### Parameters

defbox | a GdictDefbox |

#### Returns

a GdictContext.

Since: 0.1

### gdict_defbox_set_database ()

    void
    gdict_defbox_set_database (GdictDefbox *defbox,
                               const gchar *database);

Sets `database` as the database used by the GdictContext bound to `defbox` to query for word definitions.

#### Parameters

defbox | a GdictDefbox |
database | a database |

Since: 0.1

### gdict_defbox_get_database ()

    const gchar *
    gdict_defbox_get_database (GdictDefbox *defbox);

Gets the database used by `defbox` . See `gdict_defbox_set_database()`.

#### Parameters

defbox | a GdictDefbox |

#### Returns

the name of a database. The return string is owned by the GdictDefbox widget and should not be modified or freed.

Since: 0.1

### gdict_defbox_get_word ()

    const gchar *
    gdict_defbox_get_word (GdictDefbox *defbox);

Retrieves the word being looked up.

#### Parameters

defbox | a GdictDefbox |

#### Returns

the word looked up, or `NULL`. The returned string is owned by the GdictDefbox widget and should never be modified or freed.

Since: 0.12

### gdict_defbox_get_text ()

    gchar *
    gdict_defbox_get_text (GdictDefbox *defbox,
                           gsize *length);

Gets the full contents of `defbox` .

#### Parameters

defbox | a GdictDefbox |
length | return location for the text length or `NULL` |

#### Returns

a newly allocated string containing the text displayed by `defbox` .

Since: 0.1

### gdict_defbox_select_all ()

    void
    gdict_defbox_select_all (GdictDefbox *defbox);

Selects all the text displayed by `defbox`

#### Parameters

defbox | a GdictDefbox |

Since: 0.1

### gdict_defbox_copy_to_clipboard ()

    void
    gdict_defbox_copy_to_clipboard (GdictDefbox *defbox,
                                    GtkClipboard *clipboard);

Copies the selected text inside `defbox` into `clipboard` .

#### Parameters

defbox | a GdictDefbox |
clipboard | a GtkClipboard |

Since: 0.1

### gdict_defbox_clear ()

    void
    gdict_defbox_clear (GdictDefbox *defbox);

Clears the buffer of `defbox`

#### Parameters

defbox | a `GdictDefbox` |

Since: 0.1

### gdict_defbox_lookup ()

    void
    gdict_defbox_lookup (GdictDefbox *defbox,
                         const gchar *word);

Searches `word` inside the dictionary sources using the GdictContext provided when creating `defbox` or set using `gdict_defbox_set_context()`.

#### Parameters

defbox | a GdictDefbox |
word | the word to look up |

Since: 0.1

### gdict_defbox_count_definitions ()

    gint
    gdict_defbox_count_definitions (GdictDefbox *defbox);

Gets the number of definitions displayed by `defbox`

#### Parameters

defbox | a GdictDefbox |

#### Returns

the number of definitions.

Since: 0.1

### gdict_defbox_jump_to_definition ()

    void
    gdict_defbox_jump_to_definition (GdictDefbox *defbox,
                                     gint number);

Scrolls to the definition identified by `number` . If `number` is -1, jumps to the last definition.

#### Parameters

defbox | a GdictDefbox |
number | the definition to jump to |

Since: 0.1

### gdict_defbox_set_show_find ()

    void
    gdict_defbox_set_show_find (GdictDefbox *defbox,
                                gboolean show_find);

Whether `defbox` should show the find pane.

#### Parameters

defbox | a GdictDefbox |
show_find | `TRUE` to show the find pane |

Since: 0.1

### gdict_defbox_get_show_find ()

    gboolean
    gdict_defbox_get_show_find (GdictDefbox *defbox);

Gets whether the find pane should be visible or not.

#### Parameters

defbox | a GdictDefbox |

#### Returns

`TRUE` if the find pane is visible.

Since: 0.1

### gdict_defbox_find_next ()

    void
    gdict_defbox_find_next (GdictDefbox *defbox);

Emits the "find-next" signal.

#### Parameters

defbox | a GdictDefbox |

Since: 0.1

### gdict_defbox_find_previous ()

    void
    gdict_defbox_find_previous (GdictDefbox *defbox);

Emits the "find-previous" signal.

#### Parameters

defbox | a GdictDefbox |

Since: 0.1

### gdict_defbox_set_font_name ()

    void
    gdict_defbox_set_font_name (GdictDefbox *defbox,
                                const gchar *font_name);

Sets `font_name` as the font for `defbox` . It calls internally `pango_font_description_from_string()` and `gtk_widget_modify_font()`.

Passing `NULL` for `font_name` will reset any previously set font.

#### Parameters

defbox | a GdictDefbox |
font_name | a font description, or `NULL` |

Since: 0.3.0

### gdict_defbox_get_font_name ()

    const gchar *
    gdict_defbox_get_font_name (GdictDefbox *defbox);

Retrieves the font currently used by `defbox` .

#### Parameters

defbox | a GdictDefbox |

#### Returns

a font name. The returned string is owned by `defbox` and should not be modified or freed.

Since: 0.3

### gdict_defbox_get_selected_word ()

    gchar *
    gdict_defbox_get_selected_word (GdictDefbox *defbox);

Retrieves the selected word from the defbox widget

#### Parameters

defbox | a GdictDefbox |

#### Returns

a newly allocated string containing the selected word. Use `g_free()` when done using it.

Since: 0.12

## Types and Values

## Property Details

### The `“context”` property

      “context”                  GdictContext *

The GdictContext object used to get the word definition.

Flags: Read / Write / Construct

Since: 0.1

### The `“database”` property

      “database”                 gchar *

The database used by the GdictDefbox bound to this object to get the word definition.

Flags: Read / Write

Default value: "*"

Since: 0.1

### The `“font-name”` property

      “font-name”                gchar *

The name of the font used by the GdictDefbox to display the definitions. use the same string you use for `pango_font_description_from_string()`.

Flags: Read / Write

Default value: "Sans 10"

Since: 0.3

### The `“word”` property

      “word”                     gchar *

The word to look up.

Flags: Read / Write

Default value: NULL

Since: 0.10

## Signal Details

### The `“find-next”` signal

    void
    user_function (GdictDefbox *gdictdefbox,
                   gpointer     user_data)

Flags: Action

### The `“find-previous”` signal

    void
    user_function (GdictDefbox *gdictdefbox,
                   gpointer     user_data)

Flags: Action

### The `“hide-find”` signal

    void
    user_function (GdictDefbox *gdictdefbox,
                   gpointer     user_data)

Flags: Action

### The `“link-clicked”` signal

    void
    user_function (GdictDefbox *gdictdefbox,
                   gchar       *arg1,
                   gpointer     user_data)

Flags: Run Last

### The `“show-find”` signal

    void
    user_function (GdictDefbox *gdictdefbox,
                   gpointer     user_data)

Flags: Action